QGIS Application - Bug report #17109
Adding WFS layer fails with "unexpected end of file"
2017-09-06 01:45 PM - Fedor Baart

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider/OGR

Affected QGIS version:2.18.2 Regression?: No
Operating System: 0SX10.11.6 Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 25008
Description

I am trying to add the following WFS layer "https://waterwebservices.rijkswaterstaat.nl/services/distributielaagWFS/distributielaag_dbo" to
a QGIS map. | use the following steps:

Steps:

-> layer -> add layer -> wfs layer
Enter url of service above.

Click Connect

Result:
Popup with message: unexpected end of file.

Expected result:
Loaded map.

| have manually tried to run a getcapabilities request and | do get a proper response (with an eof at the end).

| have also downloaded the data using the ogr2ogr tool. This works fine. Also the ogrinfo gives proper metadata.
| have tried different WFS versions.

Can you confirm that this is a bug in QGIS?

Details

QGIS version 2.18.2

Platform OSX 10.11.6

GDAL 2.1.2

Kind regards,

Fedor Baart

History

#1 - 2017-09-06 01:55 PM - Giovanni Manghi
- Status changed from Open to Feedback

Just tested on 2.18.12 on Linux, no error message and if you force the service to 1.0 the layers are loaded (but the server is very slow).

#2 - 2017-09-25 04:30 PM - Giovanni Manghi
Closing for lack of feedback, please reopen if necessary.

#3 - 2017-11-09 07:35 PM - Even Rouault
- Resolution set to invalid
- Status changed from Feedback to Closed
